%define upstream_name    SHA256
%define upstream_version 0.01

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 14

Summary:	A module that implements the NIST SHA-256/384/512 hash
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Digest/%{upstream_name}-%{upstream_version}b.tar.gz

BuildRequires:	perl-devel


%description
The *sha256* module allows you to use the NIST SHA 256/384/512 hash
algorithm.

A new sha256 context object is created with the *new* operation followed by
a digest size which may be either 256, 384, or 512 bits. Multiple
simultaneous digest context can be maintained if desired. The context is
updated with the *add* operation which adds the strings contained in the
_LIST_ parameter.

The final message digest value is returned by the *digest* operation as a
32-, 48-, or 64-byte binary string. This operation delivers the result of
operations since the last *new* or *reset* operation. Once the operation
has been performed, the context must be *reset* before being used to
calculate another digest value.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-14.mga6
+ Revision: 1033041
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.10.0-13.mga6
+ Revision: 957984
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.10.0-12.mga6
+ Revision: 845273
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.10.0-11.mga6
+ Revision: 841699
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-10.mga5
+ Revision: 740320
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-9.mga5
+ Revision: 686125
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.10.0-8.mga5
+ Revision: 631638
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.10.0-7.mga4
+ Revision: 525010
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.10.0-6.mga4
+ Revision: 431738
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-5.mga3
+ Revision: 372366
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.10.0-4.mga3
+ Revision: 251102
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.10.0-3.mga2
+ Revision: 104961
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.10.0-2.mga1
+ Revision: 31105
- mageia rebuild
- imported package perl-SHA256


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.10.0-2mdv2011.0
+ Revision: 556143
- rebuild for perl 5.12

* Sun Jan 03 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.10.0-1mdv2010.1
+ Revision: 486070
- import perl-SHA256


* Sun Jan 03 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.0.0-1mdv2010.1
- initial mdv release, generated with cpan2dist
